// //Checking  First name is not blank
   
    // if(empty(trim($_POST['f_name']))){
    //     $f_name_error ="First name Can't be a blank";
    // }
    // else{
    //     $f_name = trim($_POST['f_name']);
    // }





// //Checking  Last name is not blank

    // if(empty(trim($_POST['l_name']))){
    //     $l_name_error ="Last name Can't be a blank";
    // }
    // else{
    //     $l_name = trim($_POST['l_name']);
    // }





<?php
//including databse conection command
// include 'config.php';

// $sql = "select * from userdata";
// $result = mysqli_query($conn, $sql);
// $row = mysqli_num_rows($result);

// echo $row;

// if ($row > 0) {

// $row =mysqli_fetch_assoc($result);
// echo var_dump($row);
// $row =mysqli_fetch_assoc($result);
// echo var_dump($row);
// $row =mysqli_fetch_assoc($result);
// echo print_r($row);
// $row =mysqli_fetch_assoc($result);
// echo var_dump($row);
// $row =mysqli_fetch_assoc($result);
// echo var_dump($row);

// while ($row = mysqli_fetch_assoc($result)) {
//     echo var_dump($row);
//     echo "<br>";
// }
// }

?>



<!-- Nav  bar
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" href="#">Navbar</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Link</a>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Dropdown
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="#">Action</a>
          <a class="dropdown-item" href="#">Another action</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#">Something else here</a>
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link disabled" href="#">Disabled</a>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-0">
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    </form>
  </div>
</nav> -->
        <!-- Nav Bar Ends -->


        //Checkinng Password is not blank and more then 8 character
    if (empty(trim($_POST['password']))) {
        $password_error = "Password cannot be blank";
    } elseif (strlen(trim($_POST['password'])) <= 6) {
        $password_error = "Password should be gretaer then or equal to 6 character";
    } else {
        $password = trim($_POST['password']);
    }

    //Checking if password and confirm password match

    if (empty(trim($_POST['confirm_password']))) {
        $confirm_password_error = "Password cannot be blank";
    } elseif (trim($_POST['confirm_password']) != trim($_POST['password'])) {
        $confirm_password_error = "Password Should be  Match";
    } else {
        $confirm_password = trim($_POST['confirm_password']);
    }




<?php

//Checking for the database connection.
require_once "config.php";

//assigning mendatory error variable with blank vaalue
$profilepic_error = $f_name_error = $l_name_error = $email_error = $contact_number_error = $password_error = $confirm_password_error = "False";

$gender_error = $hobbies_error = $designation_error = "";

if (isset($_POST['signup'])) {
// print_r($_FILES);
    // exit();

    $f_name = $_POST['f_name'];
    $l_name = $_POST['l_name'];
    $email = $_POST['email'];
    $contact_number = $_POST['contact_number'];
    $gender = $_POST['Gender'];
    // $hobbies = $_POST['Hobbies'];
    // print_r($_POST['Hobbies']);
    $hobbies = implode(", ", $_POST['Hobbies']); 
    $designation = $_POST['designation'];
    $password = $_POST['password'];
    $confirm_password = $_POST['confirm_password'];
    // profilepic => it's input place name propertie , name=>name of  file uploaded by user
    // echo ($_FILES['profilepic']);
    $profilepic = $_FILES['profilepic']['name'];

    if (empty($_FILES['profilepic']['name'])) {

        if (($_POST['Gender']) == "Male") {
            $profilepic = "male.jfiff";
        } elseif (($_POST)['Gender'] == "Female") {
            $profilepic = "female.jfiff";
        }

    }
    // First Name Validation
    if (empty($f_name)) {
        // echo "Please enter a first name.<br>";
        $f_name_error = "true";
    } elseif (!preg_match("/^[a-zA-Z ]*$/", $f_name)) {
        $f_name_error = "true";
        echo '<script type ="text/JavaScript">';
        echo 'alert("yesss")';
        echo '</script>';
        // echo "Only letters and white space allowed in the first name.<br>";
    } else {
        // echo "First name is valid.<br>";
        $f_name = $_POST['f_name'];
    }

    //last name validation
    if (empty($l_name)) {
        echo '<script type ="text/JavaScript"> alert("Please enter a first name") </script>';
        $l_name_error = "true";
    } elseif (!preg_match("/^[a-zA-Z ]*$/", $l_name)) {
        $l_name_error = "true";
        echo '<script type ="text/JavaScript"> alert("Only letters and white space allowed in the first name") </script>';
    } else {
        // echo "Last name is valid.<br>";
        $f_name = $_POST['f_name'];
    }

    //E-mail Validation
    if (empty($email)) {
        $email_error = "true";
        echo '<script type ="text/JavaScript"> alert("Please enter an email") </script>';
    } elseif (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
        $email_error = "true";
        echo '<script type ="text/JavaScript"> alert("Invalid email format") </script>';
    } else {
        $email = $_POST['email'];
        // echo "email is valid";
    }

    //Mobile validation
    if (empty($contact_number)) {
        $contact_number_error = "true";
        echo '<script type ="text/JavaScript"> alert("Please enter a mobile number") </script>';
    } elseif (!preg_match("/^[0-9]{10}$/", $contact_number)) {
        $contact_number_error = "true";
        echo '<script type ="text/JavaScript"> alert("Only letters and white space allowed in the first name") </script>';
    } else {
        // echo "Mobile number is valid.<br>";
        $contact_number = $_POST['contact_number'];
    }

    //Password Validation
    if (empty($password)) {
        $password_error = "true";
        echo '<script type ="text/JavaScript"> alert("Please enter a password") </script>';
    } elseif (strlen($password) < 8) {
        $password_error = "true";
        echo '<script type ="text/JavaScript"> alert("Password must be at least 8 characters long") </script>';
    } elseif (!preg_match("#[0-9]+#", $password)) {
        $password_error = "true";
        echo '<script type ="text/JavaScript"> alert("Password must include at least one number") </script>';
    } elseif (!preg_match("#[a-z]+#", $password)) {
        $password_error = "true";
        echo '<script type ="text/JavaScript"> alert("Password must include at least one lowercase letter") </script>';
    } elseif (!preg_match("#[A-Z]+#", $password)) {
        $password_error = "true";
        echo '<script type ="text/JavaScript"> alert("Password must include at least one") </script>';
    } elseif (!preg_match("#\W+#", $password)) {
        $password_error = "true";
        echo '<script type ="text/JavaScript"> alert("Password must include at least one special character") </script>';
    } else {
        // echo "password is valid";
        $password = $_POST['password'];
    }

    //confirm password validation
    if (empty($confirm_password)) {
        echo '<script type ="text/JavaScript"> alert("Please enter confirm password") </script>';
        $confirm_password_error = "true";
    } elseif ($password != $confirm_password) {
        echo '<script type ="text/JavaScript"> alert("Please confirm the password") </script>';
        $confirm_password_error = "true";
    } else {
        $confirm_password = $_POST['confirm_password'];
        $hash_password = password_hash($password, PASSWORD_DEFAULT);
        // echo "confirm password is valid";
    }

    if (($f_name_error == "False") && ($l_name_error == "False") && ($email_error == "False") && ($contact_number_error == "False") && ($password_error == "False") && ($confirm_password_error == "False")) {
        $sql = "INSERT INTO `userdata` (`image`, `f_name`, `l_name`, `email`, `contact_number`, `gender`, `hobbies`, `designation`, `password`)
        VALUES ('$profilepic','$f_name','$l_name','$email','$contact_number','$gender','$hobbies','$designation','$hash_password')";
        
        if (mysqli_query($conn, $sql)) {
            // echo "Data Iinserted";
            echo "<script>
                var username = '$email';
                var password = '$password';
                alert('Data Inserted '+ '  Username : ' + username + '  Password : ' + password);
                </script>";
            // header('location:index.php');
        } else {
            echo "hemloooo data insertion fail";
        }
    }

}
